# Docker image to run pre-commit on Python apps/libraries

Image with common dependencies to run pre-commit in Python apps/libraries:

- common python packages: `python3-all python3-dev python3-pip python3-venv pylint3`
- `build-essential` to allow local python package using `pip`
- `pre-commit` and `git` commands

To use it:

```bash
docker run -it -v "$(pwd)":/src -w /src brenard/python-pre-commit
```
